curl --request POST \
--url https://api.openworklabs.com/v1/org/diagnostics/check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/org/diagnostics/check"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/org/diagnostics/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/diagnostics/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/diagnostics/check"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/org/diagnostics/check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/diagnostics/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"version": 1,
"generatedAt": "2023-11-07T05:31:56Z",
"deployment": "cloud",
"checking": true,
"attention": [
{
"section": "desktop",
"targetId": "<string>",
"severity": "warning",
"code": "provider_key_rejected",
"subject": "<string>",
"count": 4503599627370495,
"detail": "<string>"
}
],
"desktop": {
"access": "granted",
"windowHours": 24,
"startups": 4503599627370495,
"connected": 4503599627370495,
"failed": 4503599627370495,
"people": 4503599627370495,
"typicalMs": 4503599627370495,
"slowestMs": 4503599627370495,
"steps": [
{
"step": "window",
"typicalMs": 4503599627370495
}
],
"failures": [
{
"step": "window",
"reason": "certificate",
"count": 123,
"people": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"version": "<string>",
"startups": 123
}
]
},
"providers": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"items": [
{
"id": "<string>",
"source": "gateway",
"providerId": "<string>",
"name": "<string>",
"credentialName": "<string>",
"state": "ready",
"reason": "models_listed",
"httpStatus": 349,
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"models": {
"configured": 4503599627370495,
"served": 4503599627370495,
"missing": [
"<string>"
]
},
"members": {
"connected": 4503599627370495,
"needsAttention": 4503599627370495
}
}
]
},
"connectors": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"kind": "slack_assistant",
"name": "<string>",
"state": "ready",
"reason": "slack_token_accepted",
"checkedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"completed24h": 4503599627370495,
"apis": [
{
"id": "<string>",
"name": "<string>",
"status": "enabled"
}
]
}
]
},
"installation": {
"access": "operator",
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": {
"version": 2,
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": [
{
"id": "database",
"required": true,
"configured": true,
"state": "ready",
"reason": "not_checked",
"missingSettings": [
"<string>"
],
"dependencies": [
"database"
],
"notes": [
"resume_ready"
],
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"stale": true
}
]
}
},
"network": {
"access": "granted",
"canRun": true
}
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"version": 1,
"generatedAt": "2023-11-07T05:31:56Z",
"deployment": "cloud",
"checking": true,
"attention": [
{
"section": "desktop",
"targetId": "<string>",
"severity": "warning",
"code": "provider_key_rejected",
"subject": "<string>",
"count": 4503599627370495,
"detail": "<string>"
}
],
"desktop": {
"access": "granted",
"windowHours": 24,
"startups": 4503599627370495,
"connected": 4503599627370495,
"failed": 4503599627370495,
"people": 4503599627370495,
"typicalMs": 4503599627370495,
"slowestMs": 4503599627370495,
"steps": [
{
"step": "window",
"typicalMs": 4503599627370495
}
],
"failures": [
{
"step": "window",
"reason": "certificate",
"count": 123,
"people": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"version": "<string>",
"startups": 123
}
]
},
"providers": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"items": [
{
"id": "<string>",
"source": "gateway",
"providerId": "<string>",
"name": "<string>",
"credentialName": "<string>",
"state": "ready",
"reason": "models_listed",
"httpStatus": 349,
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"models": {
"configured": 4503599627370495,
"served": 4503599627370495,
"missing": [
"<string>"
]
},
"members": {
"connected": 4503599627370495,
"needsAttention": 4503599627370495
}
}
]
},
"connectors": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"kind": "slack_assistant",
"name": "<string>",
"state": "ready",
"reason": "slack_token_accepted",
"checkedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"completed24h": 4503599627370495,
"apis": [
{
"id": "<string>",
"name": "<string>",
"status": "enabled"
}
]
}
]
},
"installation": {
"access": "operator",
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": {
"version": 2,
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": [
{
"id": "database",
"required": true,
"configured": true,
"state": "ready",
"reason": "not_checked",
"missingSettings": [
"<string>"
],
"dependencies": [
"database"
],
"notes": [
"resume_ready"
],
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"stale": true
}
]
}
},
"network": {
"access": "granted",
"canRun": true
}
}Run the diagnostics checks the caller may run
Starts, in the background, every live check the caller’s sections allow: provider model listings with organization-held credentials (never a model request or a member’s credential), the Slack assistant token, the caller’s own Google API check, and installation services for installation administrators. Shares the rate limits of background checks (one per organization, or per member for connectors, every 30 seconds). Answers with the current diagnostics; poll GET /v1/org/diagnostics until checking is false.
curl --request POST \
--url https://api.openworklabs.com/v1/org/diagnostics/check \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/org/diagnostics/check"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/org/diagnostics/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/org/diagnostics/check",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/org/diagnostics/check"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openworklabs.com/v1/org/diagnostics/check")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/org/diagnostics/check")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"version": 1,
"generatedAt": "2023-11-07T05:31:56Z",
"deployment": "cloud",
"checking": true,
"attention": [
{
"section": "desktop",
"targetId": "<string>",
"severity": "warning",
"code": "provider_key_rejected",
"subject": "<string>",
"count": 4503599627370495,
"detail": "<string>"
}
],
"desktop": {
"access": "granted",
"windowHours": 24,
"startups": 4503599627370495,
"connected": 4503599627370495,
"failed": 4503599627370495,
"people": 4503599627370495,
"typicalMs": 4503599627370495,
"slowestMs": 4503599627370495,
"steps": [
{
"step": "window",
"typicalMs": 4503599627370495
}
],
"failures": [
{
"step": "window",
"reason": "certificate",
"count": 123,
"people": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"version": "<string>",
"startups": 123
}
]
},
"providers": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"items": [
{
"id": "<string>",
"source": "gateway",
"providerId": "<string>",
"name": "<string>",
"credentialName": "<string>",
"state": "ready",
"reason": "models_listed",
"httpStatus": 349,
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"models": {
"configured": 4503599627370495,
"served": 4503599627370495,
"missing": [
"<string>"
]
},
"members": {
"connected": 4503599627370495,
"needsAttention": 4503599627370495
}
}
]
},
"connectors": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"kind": "slack_assistant",
"name": "<string>",
"state": "ready",
"reason": "slack_token_accepted",
"checkedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"completed24h": 4503599627370495,
"apis": [
{
"id": "<string>",
"name": "<string>",
"status": "enabled"
}
]
}
]
},
"installation": {
"access": "operator",
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": {
"version": 2,
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": [
{
"id": "database",
"required": true,
"configured": true,
"state": "ready",
"reason": "not_checked",
"missingSettings": [
"<string>"
],
"dependencies": [
"database"
],
"notes": [
"resume_ready"
],
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"stale": true
}
]
}
},
"network": {
"access": "granted",
"canRun": true
}
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"version": 1,
"generatedAt": "2023-11-07T05:31:56Z",
"deployment": "cloud",
"checking": true,
"attention": [
{
"section": "desktop",
"targetId": "<string>",
"severity": "warning",
"code": "provider_key_rejected",
"subject": "<string>",
"count": 4503599627370495,
"detail": "<string>"
}
],
"desktop": {
"access": "granted",
"windowHours": 24,
"startups": 4503599627370495,
"connected": 4503599627370495,
"failed": 4503599627370495,
"people": 4503599627370495,
"typicalMs": 4503599627370495,
"slowestMs": 4503599627370495,
"steps": [
{
"step": "window",
"typicalMs": 4503599627370495
}
],
"failures": [
{
"step": "window",
"reason": "certificate",
"count": 123,
"people": 123,
"lastSeenAt": "2023-11-07T05:31:56Z"
}
],
"versions": [
{
"version": "<string>",
"startups": 123
}
]
},
"providers": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"items": [
{
"id": "<string>",
"source": "gateway",
"providerId": "<string>",
"name": "<string>",
"credentialName": "<string>",
"state": "ready",
"reason": "models_listed",
"httpStatus": 349,
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"models": {
"configured": 4503599627370495,
"served": 4503599627370495,
"missing": [
"<string>"
]
},
"members": {
"connected": 4503599627370495,
"needsAttention": 4503599627370495
}
}
]
},
"connectors": {
"access": "granted",
"checkedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"kind": "slack_assistant",
"name": "<string>",
"state": "ready",
"reason": "slack_token_accepted",
"checkedAt": "2023-11-07T05:31:56Z",
"lastEventAt": "2023-11-07T05:31:56Z",
"completed24h": 4503599627370495,
"apis": [
{
"id": "<string>",
"name": "<string>",
"status": "enabled"
}
]
}
]
},
"installation": {
"access": "operator",
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": {
"version": 2,
"checkedAt": "2023-11-07T05:31:56Z",
"checking": true,
"server": {
"version": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"startupMs": 4503599627370495
},
"services": [
{
"id": "database",
"required": true,
"configured": true,
"state": "ready",
"reason": "not_checked",
"missingSettings": [
"<string>"
],
"dependencies": [
"database"
],
"notes": [
"resume_ready"
],
"durationMs": 4503599627370495,
"checkedAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"stale": true
}
]
}
},
"network": {
"access": "granted",
"canRun": true
}
}Authorizations
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Response
Checks started, already running, or nothing to check.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$cloud, self_hosted 200Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?